Package org.springframework.core.io.buffer

# Class DataBufferLimitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.springframework.core.io.buffer.DataBufferLimitException

All Implemented Interfaces:
  `Serializable`

public class DataBufferLimitException extends IllegalStateException
Exception that indicates the cumulative number of bytes consumed from a stream of `DataBuffer`'s exceeded some pre-configured limit. This can be raised when data buffers are cached and aggregated, for example, `DataBufferUtils.join(org.reactivestreams.Publisher<? extends org.springframework.core.io.buffer.DataBuffer>)`. Or it could also be raised when data buffers have been released but a parsed representation is being aggregated, for example, async parsing with Jackson, SSE parsing and aggregating lines per event.

Since:
  5.1.11
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataBufferLimitException(String message)`
Create an instance with the given message.
`DataBufferLimitException(String message, Throwable cause)`
Create an instance with a message and a cause, e.g.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataBufferLimitException

public DataBufferLimitException(String message)
Create an instance with the given message.

### DataBufferLimitException

public DataBufferLimitException(String message, Throwable cause)
Create an instance with a message and a cause, e.g. `OutOfMemoryError`.

Since:
  6.2.12